<?xml version="1.0"?>
<ArrayOfFBEvent xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-24T20:49:35Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>ReleaseNoted</StatusString>
    <TimeStamp>2023-02-28T21:27:39Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment>Verified w/ DataPRO 4.0.857, 4.1.207
 
Tested:
 
 
With no TSR AIR 
 
 
 
 
With TSR AIR in test setup 
 
 
 
 
I then removed TSR AIR, checked AutoArm in info step, added back the TSR AIR, AND Ran test.
 
Armed</Comment>
    <StatusString>Closed</StatusString>
    <TimeStamp>2023-02-15T22:00:51Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-02-15T16:59:30Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>48254 is 4.0; 48255 is 4.1.</Comment>
    <StatusString>Resolved</StatusString>
    <TimeStamp>2023-02-14T23:56:54Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>moving to SW 4.1.13, officially starting tomorrow, unofficially starting today</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-02-14T18:12:39Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>To test: 

1) Create a Test Setup without a TSR AIR and ensure that the "Set DAS to Auto-Arm" checkbox is visible.  Conversely, add TSR AIR hardware to the Test Setup and ensure that it becomes hidden.

2) Check the checkbox before adding the TSR AIR, and ensure that when armed, the status messages correspond to arming, not auto-arming.</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-02-10T22:47:02Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>This 4.1 patch adds the hiding of the "Set DAS to Auto-Arm" checkbox (and the corresponding "Repeat Auto-Arm" checkbox, if the former is checked) in the Info step of Edit Test Setup, when there is TSR AIR hardware in the Test Setup.

To do this, I created a new method, ShouldDoAutoArm(), which only returns True if both 1) CurrentTest.DoAutoArm is True, AND 2) there is no TSR AIR hardware in the Test Setup.

Since the checkbox can still have a value of "checked" when it's hidden, the new method is now called in numerous places so that things like Arming, GetArmStatus, etc. do not behave as if the DAS is/will be Auto-Armed.</Comment>
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-02-10T22:44:49Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-02-03T15:51:04Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-01-31T21:52:53Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-01-31T21:29:27Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-01-30T23:28:50Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment>I'm trying to run a test using a TSR AIR and enabling "DAS to Auto-Arm" and enabling Repeat Auto-Arm in active mode. Set events to 1 and then 2, both configurations show the error. I get the following error:
 
 
I expected this to take me into my test run</Comment>
    <StatusString>Opened</StatusString>
    <TimeStamp>2023-01-30T23:28:50Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Opened</Status>
  </FBEvent>
</ArrayOfFBEvent>